Bug 167808 - Can't use XIM on XEmbed windows
Can't use XIM on XEmbed windows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-09-08 09:14 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0071
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:40:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg-x11-im-lockup.diff (672 bytes, patch)
2005-09-08 09:14 EDT, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 2006 None None None Never

  None (edit)
Description Bastien Nocera 2005-09-08 09:14:21 EDT
The upstream bug explains more:
https://bugs.freedesktop.org/show_bug.cgi?id=2006

The IM would freeze and events not be sent to the sub window. The problem also
shows in Java applets embedded in a web browser.

Patch as committed upstream attached:
http://cvs.freedesktop.org/xorg/xc/lib/X11/imEvToWire.c?r1=1.2&r2=1.3

The patch has been tested successfully.
Comment 1 Bastien Nocera 2005-09-08 09:14:22 EDT
Created attachment 118595 [details]
xorg-x11-im-lockup.diff
Comment 2 Bastien Nocera 2005-09-08 09:17:51 EDT
XFree86 on RHEL3...
Comment 8 Mike A. Harris 2005-11-28 19:30:04 EST
XFree86-4.3.0-98.EL rpms built for RHEL3 U7 are temporarily available for
download and testing at the following URL:

    ftp://people.redhat.com/mharris/testing/3.0E

Please download a copy right away, even if you can't test them right away,
as I have limited disk quota, and the files will be removed to make space
for other things soon.

Setting status to "MODIFIED", and waiting for testing feedback from
bug reporter.
Comment 12 Suzanne Hillman 2006-01-26 14:56:16 EST
Tested by reporter, moving to PASSES_QA.
Comment 14 Red Hat Bugzilla 2006-03-15 10:40:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0071.html

Note You need to log in before you can comment on or make changes to this bug.